Delete many incidents by incident IDs
DELETE
/v1/incidents
const url = 'https://api.adversarial.com/api/v1/incidents';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"ids":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.adversarial.com/api/v1/incidents \ --header 'Content-Type: application/json' \ --data '{ "ids": [] }'Note that all incidents are soft-deleted
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
The incidents to delete, by ID.
object
ids
Array<string>
Example
INC-00001Responses
Section titled “Responses”Incidents deleted successfully
Media typeapplication/json
How many incidents were deleted, and which requested IDs did not match an existing incident.
object
deleted_count
integer
not_found
Array<string>
Example
{ "deleted_count": 0, "not_found": []}